// package_A/pages/storeDetail/index.js
import {wgs84togcj02} from '../../../utils/util.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        dataSource: {
            image: ''
        },
        dataList: [
            {label: '店铺名称', value: 'shopsName'},
            {label: '所在区域', value: 'areaName'},
            {label: '地址', value: 'shopsAddress'},
            {label: '联系人', value: 'realname'},
            {label: '联系方式', value: 'mobile'}
        ]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if(options.data) {
            let dataSource = this.data.dataSource
            dataSource = JSON.parse(options.data)
            this.setData({dataSource})
        }
    },

    showNavigator(){
        const dataSource = this.data.dataSource
        const coordinate = wgs84togcj02([dataSource.longitude,dataSource.latitude])
        wx.openLocation({
            latitude: parseFloat(coordinate[1]), // 纬度，范围为-90~90，负数表示南纬
            longitude: parseFloat(coordinate[0]), // 经度，范围为-180~180，负数表示西经
            scale: 17, // 缩放比例
        })
    } 
})